Мазмұнға өту

Mai Image 2.5

Интеграциялау

Модель идентификаторы microsoft/mai-image-2.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/microsoft/mai-image-2.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈0,057 $ 57 API кредиті Осы бетте іске қосу

API кілтін алу
Microsoft Кескінді өңдеу #realism#typography#stylized

Дәл бір кіріс кескіні мен өңдеу нұсқауын қабылдайтын стандартты MAI Image 2.5 редакторы

Microsoft · Кескін

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті 88 / 5000

Берілген кескінге немесе кескіндерге арналған өңдеу нұсқаулары.

•міндетті image_urls
Файлды тастаңыз немесе · 1 дейін

Бір http(s) URL немесе data: URL арқылы берілетін өңделетін кескін.

aspect_ratio әдепкі auto

Шығыс кескінінің пропорциялары; "auto" кіріс пропорцияларын сақтайды немесе модельге таңдауға мүмкіндік береді.

num_images әдепкі 1

Генерацияға сұралған кескіндер саны.

Қосымша output_format
output_format әдепкі png

Нәтижедегі кескіннің файл пішімі.

POST /run/microsoft/mai-image-2.5/edit?wait=20 бағасы → 0,057 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/microsoft/mai-image-2.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Mai Image 2.5 туралы

5000 таңбаға дейінгі мәтіндік нұсқау арқылы кескінді өңдейді. `image_urls` міндетті және дәл бір http(s) немесе data URL қамтиды. 1-ден 4-ке дейін нәтиже, арақатынас (auto кірісіне сәйкес келеді) және jpeg, png не webp форматын таңдаңыз.

Параметрлер

Канондық атауды немесе төл атауды жіберіңіз, екеуін қатар жібермеңіз. Канондық атаулар

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
≤ 5 000 таңба≥ 3 таңба
Берілген кескінге немесе кескіндерге арналған өңдеу нұсқаулары.
num_imagesміндетті емес num_outputs
Түріinteger
Әдепкі1
1 – 4
Генерацияға сұралған кескіндер саны.
aspect_ratioміндетті емес
Түріenum
Әдепкіauto
auto1:14:33:416:99:163:22:3
Шығыс кескінінің пропорциялары; "auto" кіріс пропорцияларын сақтайды немесе модельге таңдауға мүмкіндік береді.
output_formatміндетті емес
Түріenum
Әдепкіpng
jpegpngwebp
Нәтижедегі кескіннің файл пішімі.
image_urlsміндетті images
Түріurl[] · image
≤ 1 элемент
Бір http(s) URL немесе data: URL арқылы берілетін өңделетін кескін.
міндетті Канондық атау, бұл да қабылданады

Файл параметрлері жалпыға қолжетімді https:// URL мекенжайын, 10 MB-қа дейінгі data: URI мекенжайын немесе жүктеп салынған файлдың file_url мәнін қабылдайды. Файлдар

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "microsoft/mai-image-2.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 57,
    "usd": "0.057",
    "charged": 57,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
images
array of object {url, content_type, file_name, file_size, width, height}Өңдеу нәтижесінде алынған кескіндер.
description
stringЖасалған кескіндерге қоса берілетін сипаттама.

Қосымша модельдер: Кескінді өңдеу

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/microsoft/mai-image-2.5/edit.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt